package org.wcs.utils;

import java.util.ArrayList;
import java.util.List;

public class AppListUtils {

    /**
     * byte[] 转 List<Byte>
     *
     * @param list 待转换的byte[]
     * @return 转换后的List<Byte>
     */
    public static List<Byte> transfer(byte[] list) {
        List<Byte> bytes = new ArrayList<>();
        for (byte b : list) {
            bytes.add(b);
        }
        return bytes;
    }

    /**
     * List<Byte> 转 byte[]
     *
     * @param list 待转换的List<Byte>
     * @return 转换后的byte[]
     */
    public static byte[] transfer(List<Byte> list) {
        byte[] bytes = new byte[list.size()];
        for (int i = 0; i < list.size(); i++) {
            bytes[i] = list.get(i);
        }
        return bytes;
    }

    /**
     * List<Object> 转 String
     *
     * @param list 待转换的List<Object>
     * @return 转换后的String
     */
    public static String listObjectToSting(List<?> list) {
        return list.stream().map(AppStringUtils::objectToString).collect(java.util.stream.Collectors.joining(","));
    }

}
